Folders
Get folder
Get folder details with optional file contents.
GET
/
folders
/
{id}
Get folder
curl --request GET \
--url https://app.mavera.io/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/folders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/folders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "folder",
"name": "<string>",
"workspace_id": "<string>",
"file_count": 123,
"is_shared": true,
"is_favorite": true,
"files": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "file",
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123,
"source": "upload",
"workspace_id": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"metadata": {},
"is_favorite": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Folder ID
Query Parameters
Include files in the folder (default true)
Maximum number of files to include (default 50, max 100)
Required range:
1 <= x <= 100Cursor for file pagination
Response
Folder details
A folder with its file contents
Unique folder identifier
Available options:
folder Folder name
Workspace ID
Total number of files in the folder
Whether the folder is shared with all workspace members
Whether the folder is in your favorites
Paginated list of files in the folder
Show child attributes
Show child attributes
⌘I
Get folder
curl --request GET \
--url https://app.mavera.io/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/folders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/folders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "folder",
"name": "<string>",
"workspace_id": "<string>",
"file_count": 123,
"is_shared": true,
"is_favorite": true,
"files": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "file",
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123,
"source": "upload",
"workspace_id": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"metadata": {},
"is_favorite": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}